"""empty message

Revision ID: 872d33a63df8
Revises: 0941cd2d7059
Create Date: 2025-02-10 16:40:08.018238

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '872d33a63df8'
down_revision = '0941cd2d7059'
branch_labels = None
depends_on = None


def upgrade():
    # Add a new value to the ENUM type
    op.execute("ALTER TYPE location_enum ADD VALUE 'LOCAL'")


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute("""
        CREATE TYPE location_enum_old AS ENUM('DEVENTER', 'ENSCHEDE', 'OTHER');
        ALTER TABLE time_log ALTER COLUMN location TYPE location_enum_old USING time_log::text::location_enum_old;
        DROP TYPE location_enum;
        ALTER TYPE location_enum_old RENAME TO location_enum;
    """)
    # ### end Alembic commands ###
